• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

XF 2.0 FPM error!

#1
I get the following error when install to 2 RC 3:
  • Your server has disabled a core PHP function exec via the disable_functions directive in php.ini. This may cause unexpected problems in XenForo.
  • problem : if active PHP-FPM on apache server 2.4 Your server has disabled a core PHP function exec via the disable_functions directive in php.ini. This may cause unexpected problems in XenForo.
  • But if deactive PHP-FPM on apache server 2.4 NO ERROR. PERFECT INSTALL.
  • But PHP - FPM active on apache + litespeed server NO ERROR PERFECT INSTALL.
  • Litespeed no problem PHP-FPM active. But apache problem!
 

Chris D

XenForo developer
Staff member
#2
There's not really anything to do here. The error is fairly self explanatory. You have a disabled function exec. Presumably, your various of versions of PHP that you have available either have this available or don't.

It's not an error, it's a warning. If you can solve it, great. If not, you should be able to ignore it.
 

MattW

Well-known member
#4
Code:
cd /var/cpanel/userdata/{accountname}/
vim {domainname.com}.php-fpm.yaml
Add this
Code:
php_admin_value_disable_functions: { name: 'php_admin_value[disable_functions]', value: passthru,shell_exec,system }
Then run this
Code:
/scripts/php_fpm_config --rebuild